#!/bin/sh
#
# This file is part of KeY - Integrated Deductive Software Design 
# Copyright (C) 2001 Universitaet Karlsruhe, Germany
#
# The KeY system is protected by the GNU General 
# Public License. See LICENSE.TXT for details.
#! /bin/sh
useshell='/bin/sh'
if test -e '/bin/bash' ; then
   useshell='/bin/bash'
   read_options='-e'
else
   read_options=''
fi
#!$useshell
echo "Welcome to KeY."
echo "This script will help you to install KeY correctly."
echo "It uses ILKD-internal path information, so use it only "
echo "if you work with a machine of the i11, i12 institute."
echo "Otherwise use 'install.sh'". 
echo "Start installation..."
echo ""
echo "ABSOLUTE PATHS required."
echo "Please enter directory to place KeY configuration files in:"
read $read_options localtogether


classpathcommon=$antlr"/antlr.jar:"$recoder/"recoder.jar:"$tudresden"/dresden-ocl-demo.java:"$xerces"/xerces-1_4_4.jar:"$mgtp/mgtp.jar":"$cup"/cup.jar"

`dirname $0`/createConfig $classpathcommon \
		$localtogether \
		~togetherj/vers6.0/linux/ \
		/home/projekt/key_dist/current/key.jar  > config.mk
echo [Create config files]

java -cp /home/projekt/key_dist/current/key.jar de.uka.ilkd.key.util.make.Config config.mk dist 60
chmod u+x install.key
echo [Begin installation]
./install.key
rm -f install.key
rm -f install_dev.key
rm -f miscConfigExtension
rm -f config.mk
rm -f Makefile.mk
